A fast Q; 2.1.4_13 to v2.2.5_18 upgrade



  • Hi!
    Searched but didn't find any good answer on this one.
    So upgrade from 2.1.4_13 to v2.2.5_18?

    My guess:

    • Uninstall and keep config.
    • Install 2.2.5 and hope for the best

    Right way to do it?

    :-)

    Brgs,


  • Moderator

    @iorx

    Yes ensure that "Keep Settings" is enabled. Also best to disable the package before removing it.

    Then Install pfBlockerNG-devel.

    As always make a backup before.



  • Upgrade looks like it went really smooth!

    1. Disable service.
    2. Keep config ticked.
    3. Uninstall package.
    4. Reinstall package.

    Config was retained and looks like it's fully working (even the locally cron downloaded shallalist-lists are still working). To be modified is the custom feeds, migration to a selection from the predefined list now available.
    And lots of new features to spend some time with a see as a padawan! 😊

    brgs,